//<#!@READ-ONLY-SECTION-START@!#>
/*!
 * \brief Intel(R) CoFluent(TM) Studio - Intel Corporation
 * \details Simulation model of AIC_MU_ProjectApp generated by C++ Generator for SystemC/TLM2
 */

#ifndef COFS_MODEL_AIC_MU_PROJECTAPP_BETTERFUNCTION_DP_TYPES
#define COFS_MODEL_AIC_MU_PROJECTAPP_BETTERFUNCTION_DP_TYPES

#include "cofluent.h"

/// \defgroup dxgDPTypes Design parameters type definitions
//@{
///		\brief BetterFunction global design parameters interface definition.
class cfm_betterfunction_dp_if {
protected:
	cf_core::cf_dp<int> loopDP;

protected:
	cfm_betterfunction_dp_if();
	void init(void);
};

//@}

#endif // COFS_MODEL_AIC_MU_PROJECTAPP_BETTERFUNCTION_DP_TYPES

//<#!@READ-ONLY-SECTION-END@!#>